#ifndef __CREDDY_INTERNAL_H__
#define __CREDDY_INTERNAL_H__

#include <creddy.h>
#include <abac.h>
#include <abac_util.h>

void *abac_xmalloc(size_t len);
void *abac_xrealloc(void *ptr, size_t size);
char *abac_xstrdup(char *string);

// get the cert from the ID
certificate_t *abac_id_cert(abac_id_t *id);

// get the private key from the ID
// will return NULL if no key has been loaded
private_key_t *abac_id_privkey(abac_id_t *id);


#endif /* __CREDDY_INTERNAL_H__ */
