#!/usr/bin/env python

"""
cmd2: env ABAC_CN=1 keystore=`pwd` ./dump_db.py

"""

import os
import ABAC

ctxt = ABAC.Context()

# Keystore is the directory containing the principal credentials.
# Load existing principals and/or policy credentials
if (os.environ.has_key("keystore")) :
    keystore=os.environ["keystore"]
    ctxt.load_directory(keystore)
else:
    print("keystore is not set...")
    exit(1)

ctxt.dump_yap_db()


