%module ABAC

%rename(ID_chunk) ABAC::ID::ID(abac_chunk_t);
%rename(Attribute_chunk) ABAC::Attribute::Attribute(abac_chunk_t);

%{
#include "abac.hh"
using namespace ABAC;
%}

%include "language.i"

%ignore std::vector<ABAC::Attribute>::vector(size_type); 
%ignore std::vector<ABAC::Attribute>::resize(size_type);
%ignore std::vector<ABAC::Attribute>::pop(); 

%ignore std::vector<ABAC::ID>::vector(size_type); 
%ignore std::vector<ABAC::ID>::resize(size_type);
%ignore std::vector<ABAC::ID>::pop(); 

%ignore std::vector<ABAC::Role>::vector(size_type); 
%ignore std::vector<ABAC::Role>::resize(size_type);
%ignore std::vector<ABAC::Role>::pop(); 

%ignore std::vector<ABAC::Oset>::vector(size_type); 
%ignore std::vector<ABAC::Oset>::resize(size_type);
%ignore std::vector<ABAC::Oset>::pop(); 

%include "std_vector.i"

namespace std {
    %template(AttributeVector) vector<ABAC::Attribute>;
    %template(IDVector) vector<ABAC::ID>;
    %template(RoleVector) vector<ABAC::Role>;
    %template(OsetVector) vector<ABAC::Oset>;
};

%include "abac.h"
%include "abac.hh"
