
#include <err.h>
#include <stdio.h>
#include <string.h>
#include <Yap/YapInterface.h>

/* wrapper used to call into yap */
static int Main_Wrapper() {
  if (YAP_FastInit(NULL) == YAP_BOOT_ERROR)
    YAP_Exit(1);

  YAP_Term goal=YAP_MkAtomTerm(YAP_LookupAtom("source"));
  if (YAP_RunGoal(goal)) {
    printf("calling source..\n");
    } else {
      printf("calling source failed..\n");
      YAP_Exit(1);
  }
  return 0;
}

int main(int argc, char *argv[]) {
  return Main_Wrapper();
}
