#!/usr/bin/env python

"""
See README for the semantics. 
sets up 2 (Acme, Coyote, Ladybug) principal ID credentials
"""
import os
import ABAC

ctxt = ABAC.Context()

acme=ABAC.ID("Acme", 0)
acme.id_write_cert("Acme_ID.pem")
acme.id_write_privkey("Acme_private.pem")

osh=ABAC.ID("Osh", 0)
osh.id_write_cert("Osh_ID.pem")
osh.id_write_privkey("Osh_private.pem")

burpee=ABAC.ID("Burpee", 0)
burpee.id_write_cert("Burpee_ID.pem")
burpee.id_write_privkey("Burpee_private.pem")

coyote=ABAC.ID("Coyote", 0)
coyote.id_write_cert("Coyote_ID.pem")
coyote.id_write_privkey("Coyote_private.pem")

ladybug=ABAC.ID("Ladybug", 0)
ladybug.id_write_cert("Ladybug_ID.pem")
ladybug.id_write_privkey("Ladybug_private.pem")

granny=ABAC.ID("Granny", 0)
granny.id_write_cert("Granny_ID.pem")
granny.id_write_privkey("Granny_private.pem")

pooh=ABAC.ID("Pooh", 0)
pooh.id_write_cert("Pooh_ID.pem")
pooh.id_write_privkey("Pooh_private.pem")
